Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.beans
Class NTPrintQBean

    java.lang.Object
      |
      +--uk.co.westhawk.snmp.beans.SNMPBean
            |
            +--uk.co.westhawk.snmp.beans.SNMPRunBean
                  |
                  +--uk.co.westhawk.snmp.beans.NTPrintQBean

All Implemented Interfaces:
  java.util.Observer, java.lang.Runnable

public class NTPrintQBean
extends SNMPRunBean
implements java.util.Observer

This bean collects the names of the print queues installed on a NT server. The NT mib is described in the LAN Manager MIB II for Windows NT Objects . You will have to register to the MSDN before accessing this page.

The properties in the parent classes should be set, before calling the action() method. Via a PropertyChangeEvent the application/applet will be notified.

Version:
  $Revision: 1.13 $ $Date: 2006/01/25 18:08:55 $
Author:
  Birgit Arkesteijn
See Also:
  `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`, `SNMPBean.setCommunityName(java.lang.String)`, `SNMPRunBean.setUpdateInterval(int)`, `SNMPBean.addPropertyChangeListener(java.beans.PropertyChangeListener)`, `SNMPBean.action()`, `GetNextPdu`

Field Summary
`static java.lang.String` | `svPrintQName`

Fields inherited from class uk.co.westhawk.snmp.beans.SNMPRunBean
`interval, me, running`

Fields inherited from class uk.co.westhawk.snmp.beans.SNMPBean
`bindAddr, community, context, host, message, port, propertyChangeListener, socketType`

Constructor Summary
`NTPrintQBean()` The default constructor.
`NTPrintQBean(java.lang.String h, int p)` The constructor that will set the host and the port no.
`NTPrintQBean(java.lang.String h, int p, java.lang.String b)` The constructor that will set the host, the port no and the local bind address.

Method Summary
`void` | `action()` This method starts the action of the bean.
`int` | `getCount()` Returns the number of NT print queues.
`java.lang.String` | `getIndex(java.lang.String name)` Returns the index of one of the print queues.
`java.util.Enumeration` | `getIndices()` Returns the indices of the NT print queues.
`java.util.Date` | `getLastUpdateDate()` Returns the date of the moment when this bean was last updated.
`java.util.Enumeration` | `getNames()` Returns the names of the NT print queues (the list of svPrintQName).
`void` | `run()` Implements the running of the bean.
`void` | `update(java.util.Observable obs, java.lang.Object ov)` This method is called when the Pdu response is received.

Methods inherited from class uk.co.westhawk.snmp.beans.SNMPRunBean
`getUpdateInterval, isRunning, setRunning, setUpdateInterval, setUpdateInterval`

Methods inherited from class uk.co.westhawk.snmp.beans.SNMPBean
`addPropertyChangeListener, firePropertyChange, getBindAddress, getCommunityName, getHost, getMessage, getPort, getSocketType, isHostPortReachable, removePropertyChangeListener, setBindAddress, setCommunityName, setHost, setMessage, setPort, setPort, setSocketType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### svPrintQName

    public static final java.lang.String svPrintQName

See Also:
  Constant Field Values

Constructor Detail

### NTPrintQBean

    public NTPrintQBean()

  The default constructor.

### NTPrintQBean

    public NTPrintQBean(java.lang.String h,
                        int p)

  The constructor that will set the host and the port no.

Parameters:
  `h` - the hostname
  `p` - the port no
See Also:
  `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`

### NTPrintQBean

    public NTPrintQBean(java.lang.String h,
                        int p,
                        java.lang.String b)

  The constructor that will set the host, the port no and the local bind address.

Parameters:
  `h` - the hostname
  `p` - the port no
  `b` - the local bind address
Since:
  4_14
See Also:
  `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`, `SNMPBean.setBindAddress(java.lang.String)`

Method Detail

### getLastUpdateDate

    public java.util.Date getLastUpdateDate()

  Returns the date of the moment when this bean was last updated. This might be null when the first time the update was not finished.

  Returns:
    the last update date

### getIndices

    public java.util.Enumeration getIndices()

  Returns the indices of the NT print queues. The OID of this print queue is a concatenation of the name (svPrintQName) OID and the print queue specific index. The index should be used to get the other properties of this print queue.

  See Also:
    `getIndex(String)`, `svPrintQName`

### getIndex

    public java.lang.String getIndex(java.lang.String name)

  Returns the index of one of the print queues. The OID of this print queue is a concatenation of the name (svPrintQName) OID and the print queue specific index. The index should be used to get the other properties of this print queue.

  Parameters:
    `name` - The name of the print queue
  Returns:
    the print queue index, might be null if no print queue with such name exists
  See Also:
    `getIndices()`, `getNames()`

### getNames

    public java.util.Enumeration getNames()

  Returns the names of the NT print queues (the list of svPrintQName).

### getCount

    public int getCount()

  Returns the number of NT print queues.

### action

    public void action()

  This method starts the action of the bean. It will initialises all variables before starting.

  Specified by:
    `action` in class `SNMPBean`

### run

    public void run()

  Implements the running of the bean. It will send the Pdu, if the previous one is not still in flight.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `SNMPRunBean`
  See Also:
    `SNMPRunBean.isRunning()`

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  This method is called when the Pdu response is received. When all answers are received it will fire the property change event. The answers are stored in a hashtable, this is done because the speed can only be calculated with the previous answer.

  Specified by:
    `update` in interface `java.util.Observer`
  See Also:
    `SNMPBean.addPropertyChangeListener(java.beans.PropertyChangeListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD